<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Flexbox exercise</title>
    <style>
        html, body {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
        }
        #container {
            margin: 0;
            padding: 0;
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }
        #header {
            background: lightcoral;
            width: 100%;
            height: 100px;
            order: 1;
        }
        #left {
            background: lightgray;
            flex: 2;
            height: calc(100% - 150px);
            order: 2;
        }
        #main {
            background: lightskyblue;
            flex: 4;
            order: 4;
        }
        #right {
            background: lightgreen;
            flex: 1;
            order: 3;
        }
        #footer {
            background: lightsalmon;
            width: 100%;
            height: 50px;
            order: 5;
        }

        #container div {
            display: flex;
            justify-content: center;
            align-items: center;
        }

        @media (max-width: 500px) {

            #main {
                flex-basis: 100%;
            }

        }
    </style>
</head>
<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="left">Left</div>
        <div id="main">
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Eligendi possimus, delectus quae quas voluptatum earum ipsam aut blanditiis cumque laudantium repellat aliquam odit saepe nesciunt dolore nemo rerum omnis incidunt.
            Lorem ipsum dolor sit amet consectetur adipisicing elit. Eius modi pariatur aperiam officiis obcaecati ad ea quo quisquam, atque error perspiciatis eveniet distinctio tempora culpa quaerat sint voluptatem facilis. Alias?
        </div>
        <div id="right">Right</div>
        <div id="footer">Footer</div>
    </div>
</body>
</html>